// See /modules/editor-without-external-dialog.php for dialog box
(function(){
	// creates the plugin
	tinymce.create('tinymce.plugins.pmvatbuttons', {
		init : function(ed, url) {			
			var url = pm_vat_object.pm_vat_dir;
			var pid = pm_vat_object.pid;
			var is_admin = pm_vat_object.is_admin;
			var plugin_name = pm_vat_object.pm_vat_plugin_name;

			// Register buttons
			ed.addButton('pmvatbuttons', {
				title : plugin_name,
				type : 'button',
				tooltip: plugin_name,
				icon: 'pm_vat pm-vat-icon-videocam-alt',
			onclick: function() {
				ed.windowManager.open({
					//file : pluginurl + 'modules/editor-main-dialog.php', // file that contains HTML for our modal window
					id : 'pm_vat_editor_dialog',
					width : 550, // size of our window
					height : 'auto',
					title : ed.getLang( plugin_name, plugin_name ),
					wpDialog : true,
				}, {
					//plugin_url : pluginurl;
				});
			}
			});
		},		
		
		getInfo : function() {
			return {
				longname : 'Video Ad Timer',
				author : 'Lynette Chandler',
				authorurl : 'http://techbasedmarketing.com',
				infourl : 'http://techbasedmarketing.com',
				version : tinymce.majorVersion + "." + tinymce.minorVersion
			};
		}
		
	});
	
	// registers the plugin. DON'T MISS THIS STEP!!!
	tinymce.PluginManager.add('pmvatbuttons', tinymce.plugins.pmvatbuttons);
	
})();