jQuery(document).ready( function($){
	// wpColorPicker
	$('.color-picker').wpColorPicker();
	// Video popup tab
	$('#pm_vat_tab_1').on('click', function(e) {
		e.preventDefault();
		$('.pm_vat_active').removeClass('pm_vat_active');
		$('#pm_vat_content_2').hide();
		$('#pm_vat_content_1').show();
		$('#pm_vat_tab_1').addClass('pm_vat_active');
	});
	$('#pm_vat_tab_2').on('click', function(e) {
		e.preventDefault();
		$('.pm_vat_active').removeClass('pm_vat_active');
		$('#pm_vat_content_1').hide();
		$('#pm_vat_content_2').show();
		$('#pm_vat_tab_2').addClass('pm_vat_active');
	});

	/* Option Settings */
	// Accordion
	$('#video_list').accordion({
		header: '> div.added_video > h3',
		heightStyle: 'content',
		collapsible: false,
		active: -1
	});
	// Remove form
	$(document).on('click', '.remove_video', function(e) {
	//var added_video = html(response);
		e.preventDefault();
		$(this).closest('.added_video').remove();
	});
	// Clone message fields
	$('.add-message-row').on('click', function() {
		var video_key = $(this).data('video-key');
		console.log(video_key);
		var message_row = $('#empty-message-row-'+video_key).clone(true);
		message_row.removeAttr('id');
		message_row.addClass('repeatable-message-fields');
		message_row.removeClass('empty-msg-row')
		message_row.insertAfter('#repeatable_message_fields_'+video_key+' tbody>tr:last');
	});
	$('.remove-message-row').on('click', function() {
		$(this).closest('tr').remove();
	});

	// Get Youtube video
	$(document).on('paste', '.ytvdoid', function(e) {
		var video_key = $(this).data('ytvdoidkey');
		var element = this;
		setTimeout(function() {
			var ytvdoid = $(element).val();
			$('#ytvideo-'+video_key).html('<iframe width="560" height="315" src="//www.youtube.com/embed/'+ytvdoid+'" frameborder="0" allowfullscreen></iframe>');
		}, 500);
	});
	// Add forms
	$(document).on('click', '.add_a_video', function(e) {
		e.preventDefault();
		
		var vat_nonce = pm_vat_object.nonce;
		var vat_is_admin = pm_vat_object.is_admin;
		var initial_count = 1; //Initial count
		var count = $('.added_video:last').data('id');

		// data object to send to server
		data = {
			action: 'pm_vat_addvideo_ajax_request',
			nonce: vat_nonce,
			is_admin: vat_is_admin,
			count: count + 1
		};

		$.post(ajaxurl, data, function(response) {
			//alert(response);
			$('#video_list').append(response);
			$('#video_list').accordion('destroy').accordion({
				header: '> div.added_video > h3',
				heightStyle: 'content',
				collapsible: true,
				active: count
			});			
			$(document).scrollTop( $('#video-' + count).offset().top );
		})

		//console.log('Last id is:'+lastdiv);
		//return false;
		 e.stopImmediatePropagation(); 
	});
}); // global end