<?
/*
Plugin Name: Video Ad Placer
Plugin URI: http://kvsocial.com
Description: Display ads and messages at specific video play times.
Version: 9.1.0.3
Author: KV Social
Author URI: http://kvsocial.com
Stable tag: 9.1.0.3
*/
// Define constants
if(!defined('__DIR__')) {
    define( 'PM_VAT_DIR', plugin_dir_url( __FILE__) );
    define( 'PM_VAT_PATH', dirname( __FILE__) );
} else {
	define( 'PM_VAT_DIR', WP_PLUGIN_URL.'/'.basename(__DIR__) );
	define( 'PM_VAT_PATH', WP_PLUGIN_DIR.'/'.basename(__DIR__) );
}
define( 'PM_VAT_WP_DIR', get_bloginfo('wpurl') );
define( 'PM_VAT_PLUGIN_NAME', 'Video Ad Placer' );
define( 'PM_VAT_VERSION', '9.1.0.3' );
$pm_vat_opts = get_option( 'pm_vat_options' );

register_activation_hook( __FILE__, 'pm_vat_activate' );
function pm_vat_activate() {

 $pm_vat_options = array( 
  'videos' => '', 
  'del_opt_settings' =>  0,  
  );
  if( !get_option('pm_vat_options') ){
	update_option('pm_vat_options', $pm_vat_options );
  }

}

include('modules/settings.php');
include('modules/editor.php');
include('modules/scripts.php');
include('modules/class.ad-options.php');
include('modules/functions.php');
include('modules/shortcode.php');
?>